player = {}
player.x = 300
player.y = 300
player.angle = 0
player.rotate = 3
player.speed = 90
player.health = 100
player.damage = 2
player.velocity = 0

playerL = {}
playerL[1] = love.graphics.newImage('images/spriteSheets/player01L/playerL1.png')
playerL[2] = love.graphics.newImage('images/spriteSheets/player01L/playerL2.png')
playerL[3] = love.graphics.newImage('images/spriteSheets/player01L/playerL3.png')
playerL[4] = love.graphics.newImage('images/spriteSheets/player01L/playerL4.png')
playerL[5] = love.graphics.newImage('images/spriteSheets/player01L/playerL5.png')
playerL[6] = love.graphics.newImage('images/spriteSheets/player01L/playerL6.png')
playerL[7] = love.graphics.newImage('images/spriteSheets/player01L/playerL7.png')
playerL[8] = love.graphics.newImage('images/spriteSheets/player01L/playerL8.png')

playerR = {}
playerR[1] = love.graphics.newImage('images/spriteSheets/player01R/playerR1.png')
playerR[2] = love.graphics.newImage('images/spriteSheets/player01R/playerR2.png')
playerR[3] = love.graphics.newImage('images/spriteSheets/player01R/playerR3.png')
playerR[4] = love.graphics.newImage('images/spriteSheets/player01R/playerR4.png')
playerR[5] = love.graphics.newImage('images/spriteSheets/player01R/playerR5.png')
playerR[6] = love.graphics.newImage('images/spriteSheets/player01R/playerR6.png')
playerR[7] = love.graphics.newImage('images/spriteSheets/player01R/playerR7.png')
playerR[8] = love.graphics.newImage('images/spriteSheets/player01R/playerR8.png')

player.animTimer = 0
player.spriteStart = playerR[1]
player.pNum = 1

function player_update(dt)
  if love.keyboard.isDown('left') then
    player.x = player.x - player.speed * dt
    player.spriteStart = playerL[player.pNum]
    player.animTimer = player.animTimer + dt
    if player.animTimer > 0.1 then
      player.pNum = player.pNum + 1
      player.animTimer = 0
    end
    if player.pNum > 8 then
      player.pNum = 1
    end
  end

  if love.keyboard.isDown('right') then
    player.x = player.x + player.speed * dt
    player.spriteStart = playerR[player.pNum]
    player.animTimer = player.animTimer + dt
    if player.animTimer > 0.1 then
      player.pNum = player.pNum + 1
      player.animTimer = 0
    end
    if player.pNum > 8 then
      player.pNum = 1
    end
  end

end 

function player_reset(key)
  if key == 'left' then
    player.animTimer = 0
    player.pNum = 1
    player.spriteStart = playerL[1]
  end

  if key == 'right' then
    player.animTimer = 0
    player.pNum = 1
    player.spriteStart = playerR[1]
  end

  -- body
end

function player_draw()
  love.graphics.draw(player.spriteStart,player.x,player.y)
end
